namespace IrrlichtNetSwig
{
    public partial class position2di
    {
        public static position2di operator +(position2di x, position2di y)
        {
            return x.add(y);
        }
        public static position2di operator +(position2di x, dimension2di y)
        {
            return x.add(y);
        }
        public static position2di operator -(position2di x, position2di y)
        {
            return x.sub(y);
        }
        public static position2di operator -(position2di x, dimension2di y)
        {
            return x.sub(y);
        }
        public static position2di operator *(position2di x, position2di y)
        {
            return x.mul(y);
        }
        public static position2di operator *(position2di x, int y)
        {
            return x.mul(y);
        }
        public static explicit operator position2di(position2df original)
        {
            return new position2di((int)original.X, (int)original.Y);
        }
    }
}